## org.apache.ivy.core.cache
Class CacheMetadataOptions

    java.lang.Object
      org.apache.ivy.core.cache.CacheDownloadOptions
          org.apache.ivy.core.cache.CacheMetadataOptions

    public class CacheMetadataOptions

extends CacheDownloadOptions

Constructor Summary
`CacheMetadataOptions()`

Method Summary
`java.lang.String` `getChangingMatcherName()`
`java.lang.String` `getChangingPattern()`
`Namespace` `getNamespace()`
`java.lang.Boolean` `isCheckmodified()`
`boolean` `isCheckTTL()`
`boolean` `isValidate()`
`CacheMetadataOptions` `setChangingMatcherName(java.lang.String changingMatcherName)`
`CacheMetadataOptions` `setChangingPattern(java.lang.String changingPattern)`
`CacheMetadataOptions` `setCheckmodified(java.lang.Boolean isCheckmodified)`
`CacheMetadataOptions` `setCheckTTL(boolean checkTTL)`
`CacheMetadataOptions` `setNamespace(Namespace namespace)`
`CacheMetadataOptions` `setValidate(boolean validate)`

Methods inherited from class org.apache.ivy.core.cache.CacheDownloadOptions
`getListener, isForce, setForce, setListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheMetadataOptions

    public CacheMetadataOptions()

Method Detail

### getNamespace

    public Namespace getNamespace()

### setNamespace

    public CacheMetadataOptions setNamespace(Namespace namespace)

### isValidate

    public boolean isValidate()

### setValidate

    public CacheMetadataOptions setValidate(boolean validate)

### isCheckmodified

    public java.lang.Boolean isCheckmodified()

### setCheckmodified

    public CacheMetadataOptions setCheckmodified(java.lang.Boolean isCheckmodified)

### getChangingMatcherName

    public java.lang.String getChangingMatcherName()

### setChangingMatcherName

    public CacheMetadataOptions setChangingMatcherName(java.lang.String changingMatcherName)

### getChangingPattern

    public java.lang.String getChangingPattern()

### setChangingPattern

    public CacheMetadataOptions setChangingPattern(java.lang.String changingPattern)

### setCheckTTL

    public CacheMetadataOptions setCheckTTL(boolean checkTTL)

### isCheckTTL

    public boolean isCheckTTL()